/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.logmessage.stringgroup;

/**
 * blancoLogMessage のレベル一覧を保持します。
 */
public class BlancoLogMessageLevelStringGroup {
    /**
     * No.1 説明:Level.SEVERE にマップ。メッセージ文字列に fatal: を追加。
     */
    public static final int FATAL = 1;

    /**
     * No.2 説明:Level.SEVERE にマップ。
     */
    public static final int ERROR = 2;

    /**
     * No.3 説明:Level.WARNING にマップ。
     */
    public static final int WARN = 3;

    /**
     * No.4 説明:Level.INFO にマップ。
     */
    public static final int INFO = 4;

    /**
     * No.5 説明:Level.CONFIGURE にマップ。
     */
    public static final int CONF = 5;

    /**
     * No.6 説明:Level.FINE にマップ。
     */
    public static final int DEBUG = 6;

    /**
     * No.7 説明:Level.FINER にマップ。
     */
    public static final int TRACE = 7;

    /**
     * 未定義。文字列グループ以外の文字列または定数が未定義のもの。
     */
    public static final int NOT_DEFINED = -1;

    /**
     * 文字列グループに含まれる文字列であるかどうかを判定します。
     *
     * @param argCheck チェックを行いたい文字列。
     * @return 文字列グループに含まれていればture。グループに含まれない文字列であればfalse。
     */
    public boolean match(final String argCheck) {
        // No.1
        // 説明:Level.SEVERE にマップ。メッセージ文字列に fatal: を追加。
        if ("FATAL".equals(argCheck)) {
            return true;
        }
        // No.2
        // 説明:Level.SEVERE にマップ。
        if ("ERROR".equals(argCheck)) {
            return true;
        }
        // No.3
        // 説明:Level.WARNING にマップ。
        if ("WARN".equals(argCheck)) {
            return true;
        }
        // No.4
        // 説明:Level.INFO にマップ。
        if ("INFO".equals(argCheck)) {
            return true;
        }
        // No.5
        // 説明:Level.CONFIGURE にマップ。
        if ("CONF".equals(argCheck)) {
            return true;
        }
        // No.6
        // 説明:Level.FINE にマップ。
        if ("DEBUG".equals(argCheck)) {
            return true;
        }
        // No.7
        // 説明:Level.FINER にマップ。
        if ("TRACE".equals(argCheck)) {
            return true;
        }
        return false;
    }

    /**
     * 文字列グループに含まれる文字列であるかどうかを、大文字小文字を区別せず判定します。
     *
     * @param argCheck チェックを行いたい文字列。
     * @return 文字列グループに含まれていればture。グループに含まれない文字列であればfalse。
     */
    public boolean matchIgnoreCase(final String argCheck) {
        // No.1
        // 説明:Level.SEVERE にマップ。メッセージ文字列に fatal: を追加。
        if ("FATAL".equalsIgnoreCase(argCheck)) {
            return true;
        }
        // No.2
        // 説明:Level.SEVERE にマップ。
        if ("ERROR".equalsIgnoreCase(argCheck)) {
            return true;
        }
        // No.3
        // 説明:Level.WARNING にマップ。
        if ("WARN".equalsIgnoreCase(argCheck)) {
            return true;
        }
        // No.4
        // 説明:Level.INFO にマップ。
        if ("INFO".equalsIgnoreCase(argCheck)) {
            return true;
        }
        // No.5
        // 説明:Level.CONFIGURE にマップ。
        if ("CONF".equalsIgnoreCase(argCheck)) {
            return true;
        }
        // No.6
        // 説明:Level.FINE にマップ。
        if ("DEBUG".equalsIgnoreCase(argCheck)) {
            return true;
        }
        // No.7
        // 説明:Level.FINER にマップ。
        if ("TRACE".equalsIgnoreCase(argCheck)) {
            return true;
        }
        return false;
    }

    /**
     * 文字列から定数に変換します。
     *
     * 定数が未定義の場合や 与えられた文字列が文字列グループ外の場合には NOT_DEFINED を戻します。
     *
     * @param argCheck 変換を行いたい文字列。
     * @return 定数に変換後の値。
     */
    public int convertToInt(final String argCheck) {
        // No.1
        // 説明:Level.SEVERE にマップ。メッセージ文字列に fatal: を追加。
        if ("FATAL".equals(argCheck)) {
            return FATAL;
        }
        // No.2
        // 説明:Level.SEVERE にマップ。
        if ("ERROR".equals(argCheck)) {
            return ERROR;
        }
        // No.3
        // 説明:Level.WARNING にマップ。
        if ("WARN".equals(argCheck)) {
            return WARN;
        }
        // No.4
        // 説明:Level.INFO にマップ。
        if ("INFO".equals(argCheck)) {
            return INFO;
        }
        // No.5
        // 説明:Level.CONFIGURE にマップ。
        if ("CONF".equals(argCheck)) {
            return CONF;
        }
        // No.6
        // 説明:Level.FINE にマップ。
        if ("DEBUG".equals(argCheck)) {
            return DEBUG;
        }
        // No.7
        // 説明:Level.FINER にマップ。
        if ("TRACE".equals(argCheck)) {
            return TRACE;
        }

        // 該当する定数が見つかりませんでした。
        return NOT_DEFINED;
    }

    /**
     * 定数から文字列に変換します。
     *
     * 定数と対応づく文字列に変換します。
     *
     * @param argCheck 変換を行いたい文字定数。
     * @return 文字列に変換後の値。NOT_DEFINEDの場合には長さ0の文字列。
     */
    public String convertToString(final int argCheck) {
        // No.1
        // 説明:Level.SEVERE にマップ。メッセージ文字列に fatal: を追加。
        if (argCheck == FATAL) {
            return "FATAL";
        }
        // No.2
        // 説明:Level.SEVERE にマップ。
        if (argCheck == ERROR) {
            return "ERROR";
        }
        // No.3
        // 説明:Level.WARNING にマップ。
        if (argCheck == WARN) {
            return "WARN";
        }
        // No.4
        // 説明:Level.INFO にマップ。
        if (argCheck == INFO) {
            return "INFO";
        }
        // No.5
        // 説明:Level.CONFIGURE にマップ。
        if (argCheck == CONF) {
            return "CONF";
        }
        // No.6
        // 説明:Level.FINE にマップ。
        if (argCheck == DEBUG) {
            return "DEBUG";
        }
        // No.7
        // 説明:Level.FINER にマップ。
        if (argCheck == TRACE) {
            return "TRACE";
        }
        // 未定義。
        if (argCheck == NOT_DEFINED) {
            return "";
        }

        // いずれにも該当しませんでした。
        throw new IllegalArgumentException("与えられた値(" + argCheck + ")は文字列グループ[BlancoLogMessageLevel]では定義されない値です。");
    }
}
